Bug 175367 - [maintainer-update] x11-wm/mcwm maintenance patch
Summary: [maintainer-update] x11-wm/mcwm maintenance patch
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jason Helfman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-17 13:10 UTC by jakub_lach
Modified: 2013-01-18 01:30 UTC (History)
0 users

See Also:


Attachments
file.diff (1.38 KB, patch)
2013-01-17 13:10 UTC, jakub_lach
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description jakub_lach 2013-01-17 13:10:00 UTC
Hopefully no functional changes, just a little cleanup according to new ports style.

Fix: Patch attached with submission follows:
Comment 1 Jason Helfman freebsd_committer 2013-01-18 00:31:25 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jgh

I'll take it.
Comment 2 dfilter service freebsd_committer 2013-01-18 01:29:25 UTC
Author: jgh
Date: Fri Jan 18 01:29:17 2013
New Revision: 310580
URL: http://svnweb.freebsd.org/changeset/ports/310580

Log:
  - makefile cleanup and trim historical header
  - fix LIB_DEPENDS
  - while here trim COMMENT and use INSTALL_DATA
  
  PR:		175367
  Submitted by:	maintainer, jakub_lach@mailplus.pl

Modified:
  head/x11-wm/mcwm/Makefile

Modified: head/x11-wm/mcwm/Makefile
==============================================================================
--- head/x11-wm/mcwm/Makefile	Fri Jan 18 00:59:37 2013	(r310579)
+++ head/x11-wm/mcwm/Makefile	Fri Jan 18 01:29:17 2013	(r310580)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:   mcwm
-# Date created:        16 March 2011
-# Whom:                Jakub Lach <jakub_lach@mailplus.pl>
-#
+# Created by: Jakub Lach <jakub_lach@mailplus.pl>
 # $FreeBSD$
-#
 
 PORTNAME=	mcwm
 PORTVERSION=	20111124
@@ -12,14 +8,14 @@ CATEGORIES=	x11-wm
 MASTER_SITES=	http://hack.org/mc/hacks/mcwm/
 
 MAINTAINER=	jakub_lach@mailplus.pl
-COMMENT=	A small window manager inspired by CTWM, evilwm, and tinywm
+COMMENT=	Small window manager inspired by CTWM, evilwm, and tinywm
 
 LICENSE=	ISCL
 LICENSE_FILE=	${WRKSRC}/LICENSE
 
 LIB_DEPENDS=	xcb-util:${PORTSDIR}/x11/xcb-util \
 		xcb-keysyms:${PORTSDIR}/x11/xcb-util-keysyms \
-		xcb-icccm:${PORTSDIR}/x11/xcb-util-wm \
+		xcb-icccm:${PORTSDIR}/x11/xcb-util-wm
 
 MAKE_JOBS_SAFE=	yes
 
@@ -28,7 +24,7 @@ USE_BZIP2=	yes
 
 MAN1=		mcwm.1
 PLIST_FILES=	bin/mcwm
-PORTDOCS=	LICENSE README NEWS
+PORTDOCS=	README NEWS
 
 pre-everything::
 		@${ECHO_MSG} "You can build mcwm with your own config.h using the MCWM_CONF knob:"
@@ -45,17 +41,18 @@ post-patch:
 	    ${WRKSRC}/Makefile
 
 do-install:
-	${INSTALL_PROGRAM} ${WRKSRC}/${PORTNAME} ${PREFIX}/bin/
+	${INSTALL_PROGRAM} ${WRKSRC}/${PORTNAME} ${PREFIX}/bin
 	${INSTALL_MAN} ${WRKSRC}/${PORTNAME}.man \
 		${MAN1PREFIX}/man/man1/${PORTNAME}.1
 
+.include <bsd.port.options.mk>
+
 post-install:
-.if !defined(NOPORTDOCS)
+.if ${PORT_OPTIONS:MDOCS}
 	@${ECHO_MSG} "installing additional documentation to ${DOCSDIR}"
 	@${MKDIR} ${DOCSDIR}
-	@${INSTALL_MAN} ${WRKSRC}/LICENSE ${DOCSDIR}
-	@${INSTALL_MAN} ${WRKSRC}/README ${DOCSDIR}
-	@${INSTALL_MAN} ${WRKSRC}/NEWS ${DOCSDIR}
+	@${INSTALL_DATA} ${WRKSRC}/README ${DOCSDIR}
+	@${INSTALL_DATA} ${WRKSRC}/NEWS ${DOCSDIR}
 .endif
 	@${CAT} ${PKGMESSAGE}
 
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Jason Helfman freebsd_committer 2013-01-18 01:29:39 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!